sudo: apt-get: команда не найдена

Я пытаюсь установить aircrack-ng в своем Sabayon 9 с помощью этой команды:

sudo apt-get install aircrack-ng

  • Как изменить права доступа к папке во время установки пакета
  • Gentoo не будет обновлять Chromium из-за конфликта с libxml, флаг ICU USE устанавливается глобально на make.conf, qt-webkit не является частью конфликта
  • Не удалось загрузить с помощью dracut и luks: '/ dev / resume': файл существует
  • Ошибка Grub 15 (файл не найден)
  • Gentoo: Как обновить только один порт?
  • Создание одноразовой группы
  • но он говорит:

    sudo: apt-get: command not found

    Как его установить?

  • Конфигурационный файл Piping для genkernel
  • Что такое эквивалент apt-файла в portage, если таковой имеется?
  • Как заставить конфликт зависимости для контрольных показателей?
  • Почему нет единого унифицированного менеджера пакетов для Linux?
  • Установка GRUB2 на GPT-диске в разделе
  • Как использовать crontab (Gentoo)?
  • 3 Solutions collect form web for “sudo: apt-get: команда не найдена”

    APT – это инструмент, используемый исключительно дистрибутивами на основе Debian. Sabayon основан на Gentoo и поэтому поддерживает Portage (команда emerge упоминается в другом ответе).

    Однако у него также есть собственный инструмент управления пакетами (очень похожий на APT) под названием Entropy . Энтропия имеет два интерфейса:

    • equo : командная строка.
    • Сера : основан на графическом интерфейсе.

    Вы можете использовать equo аналогично apt-get :

     equo update && equo install aircrack-ng 

    (учитывая, что aircrack-ng – правильное название пакета)

    Это должно быть что-то вроде Run this раз в неделю:

     emerge --sync 

    И для установки aircrack

     emerge aircrack-ng 

    или если он называется другим, вы можете выполнить поиск в базе данных пакетов с помощью:

     emerge --search aircrack-ng 

    Вероятно, вы должны прочитать о portage (emerge command) здесь:

    http://wiki.sabayon.org/index.php?title=En:HOWTO:_The_Complete_Portage_Guide

    Какой дистрибутив Linux вы используете? Возможно, вы должны использовать правильный менеджер пакетов (например, rpm, yum ….) или даже установить из исходного кода. Я не рекомендую вам использовать apt-get, если ваш дистрибутив не основан на нем.

    попробуйте: sudo yum -y install aircrack-ng или rpm -ihv http://dag.wieers.com/rpm/packages/aircrack-ng/aircrack-ng-0.7-1.el4.rf.i386.rpm или emerge aircrack-ng

    Linux и Unix - лучшая ОС в мире.